void recordModeSelect() {
  backButton._disabled = false;
  // stop playback at the end of a sound
  if(trimmedSample[recordMode]!=null && !trimmedSample[recordMode].isPlaying() && playButton._text.equals("Stop") ){ 
    playing = false;
    meterColor = backgroundColor;
    playButton._text = "Play";
    recButton._disabled = false;
  }
  // stop recording at the end of the max sample size
  if(recording && ( (millis() - startTime) >= (recTimeSec)*1000)) { 
    recording=false;
    recButton._text = "Record";
    backButton._disabled = false;
    playButton._disabled = false;
    nextButton._disabled = false;
    stopRecording();
  }

  if (trimmedSample[recordMode]==null && !recording) {  // if this mode is not yet recorded and we're not recording
    backButton._disabled = false;
    nextButton._disabled = true;
    playButton._disabled = true;
    recButton._disabled = false;
  }
  else if (recording) {                  // if we are currently recording
    backButton._disabled = true;
    nextButton._disabled = true;
    playButton._disabled = true;
    recButton._disabled = false;
  }
  else if (playing) {                  // if we are currently playing
    backButton._disabled = false;
    nextButton._disabled = false;
    playButton._disabled = false;
    recButton._disabled = true;
  }
  else {
    backButton._disabled = false;
    nextButton._disabled = false;
    playButton._disabled = false;
    recButton._disabled = false;
  }

  switch(modeList[recordMode]) {
  case 'C':
    message = "Click to Begin";
    showButtons(false);
    recButton._text = "Record";
    playButton._text = "Play";
    backButton._text = "Back";
    nextButton._text = "Next";
    break;
  case 'N':
    message = "1. Type your Net ID";
    fill(dataBoxColor);
    stroke(dataBoxColor);
    //rectMode(CENTER);
    //rect(width/2,height/2-10,width/3,50);
    line(width/3, height/12*7,width/3*2,height/12*7);
    fill(textColor);
    textSize(30);
    text(keyboardInput,width/2,height/12*7-3);
    showButtons(false);
    clearButton._visible=true;
    clearButton._disabled=false;
    nextButton._visible=true;
    nextButton._disabled = true;
    if (keyboardInput.length() >= 3) {
      nextButton._disabled = false;
    }
    nextButton._text = "Next";
    break;
  case 'F':
    message = "2. Record your first name";
    showButtons(true);
    nextButton._text = "Next";
    backButton._text = "Back";
    break;
  case 'L':
    message = "3. Record your last name";
    showButtons(true);
    nextButton._text = "Next";
    break;
  case 'P':
    message = "4. Record where you are from\n(a geographic place name)";
    showButtons(true);
    nextButton._text = "Finish";
    break;
  case 'D':
    nextButton._disabled = true;
    if(saving) {
      message = "Saving Files...";
      backButton._disabled = true;
      playButton._disabled = true;
      recButton._disabled = true;
      nextButton._disabled = true;
    } 
    else {
      nextButton._text = "Restart";
      playButton._disabled = true;
      recButton._disabled = true;
      backButton._disabled = false;
      nextButton._disabled = false;
      if (filesSent) {
        message = "Thanks. You're Done!"; 
      }
      else {
        message = "Couldn't Save Files. Please Try Again Later";
        backButton._disabled = true;
        nextButton._disabled = true;
      }

    }
    showButtons(true);
    break;
  }
  if (saving) {       // waits one frame before saving to enable drawing text message
    counter++; 
    if(counter > 1) {
      saving = false;
      saveFiles();
      //sendFiles();
      counter = 0;
    }
  }
}
